Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004557Endian FirewallProxy - SMTPpublic2013-07-28 21:382014-04-30 17:36
ReporterJackD 
Assigned Toluca-endian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.5 
Target VersionFixed in Version 
Summary0004557: Invalid data goes from web-GUI to mail-relay config files
DescriptionIf SMTP proxy has to relay e-mails to a different mailserver and that server listens on a non-standard SMTP port, then you must enter the port number after the destination host in the Postfix config files in this format: [x.x.x.x]:xxxxx
If IP-address and port number is entered in this format to the "Mailserver IP" text-box at "Proxy > SMTP > Incoming domains > Add a domain" page, then config files (etc/postfix/transport and /etc/postfix/relay_domains) will have this invalid format: [[x.x.x.x]:xxxxx]
This makes Postfix unable to relay e-mails to the destination host. Manual correction of config files must be done after every apply or restart.
Steps To Reproduce1.) Open EFW web-GUI.
2.) Go to "Proxy > SMTP > Incoming domains > Add a domain" page.
3.) Enter an incoming domain and a Mailserver IP with non-standard SMTP port, for example: [10.0.0.5]:2525
4.) Click on Add button.
5.) After adding incoming domain, check these Postifx config files: etc/postfix/transport and /etc/postfix/relay_domains
6.) SMTP destination host is in invalid format: [[10.0.0.5]:2525]
7.) Postfix can not use invalid format to relay e-mails.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2013-07-28 21:38 JackD New Issue
2013-08-26 10:37 luca-endian Assigned To => luca-endian
2013-08-26 10:37 luca-endian Status new => acknowledged
2014-04-30 17:35 Anonymous Status acknowledged => resolved
2014-04-30 17:35 Anonymous Resolution open => fixed
2014-04-30 17:36 Anonymous Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker